## sc 7.16

=== debian/changelog ===
sc (7.16-4) unstable; urgency=low

  * debian/patches/function_definitions
    + use correct function signature instead of relying on implied
      one which used wrong number of parameters.
      This was found by Michael Tautschnig. (closes: #748220)
    + move most of the function declarations from sc.c into sc.h
    + is_cleared flag is now a macro in standard curses.h - to prevent
      redefinitions, prepend sc's flag usage with flag_

  * debian/patches/Upstream-changes-from-old-versions
    + contains all patches to upstream changes as one-big-diff. All of the
      changes should be self-explanatory (variable initialization, always return
      value from a function, etc.)
    + adding this quilt patch fixes FTBFS bug introduced by "new" behaviour
      to dpkg-source (closes: #643269). Yes, it's been a while since this
      package was updated.

  * debian/patches/use_varadic_macro
    + use variadic macros instead allowing us to silence "unused
      calculation results" warnings

  * debian/patches/call_function_not_take_its_address
    + call a function and use its return value instead of taking its
      address which is always true.

  * Update standards to 3.9.5

 -- Adam Majer <adamm@zombino.com>  Sun, 18 May 2014 14:28:50 -0500

sc (7.16-3) unstable; urgency=low

  * Changed maintainer to the new email address, recursively.
  * Fixed old changelog entries' bug closing method
  * Add patches supplied by Carsten Hey
    + Stop compressing tutorial.sc file (closes: #514777)
    + Use default colors (closes: #514775)
  * Bump Standards to 3.8.4.
  * Bump dependency of debhelper.

 -- Adam Majer <adamm@zombino.com>  Mon, 03 May 2010 15:52:17 -0500

sc (7.16-2) unstable; urgency=low

  * New maintainer (closes: #260000)
  * Fixed the code to remove most of the warnings during compile.
  * No longer tries to "redefine" malloc (closes: #259840)
  * debian/rules now uses debhelper

 -- Adam Majer <adamm@zombino.com>  Mon, 19 Jul 2004 14:24:48 -0500

sc (7.16-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#131782, Bug#169590)
  * Doesn't use '#' as backup character.  (closes: Bug#127612)
  * Help page index fixed.  (closes: Bug#115456)
  * Tutorial file location corrected in man page.  (closes: Bug#115454)

 -- Chad Miller <cmiller@debian.org>  Tue, 19 Nov 2002 14:11:52 -0500

sc (7.13-2) unstable; urgency=low

  * Fixed spelling error in package description.

 -- Chad Miller <cmiller@debian.org>  Tue, 18 Dec 2001 14:22:47 +0000

sc (7.13-1) unstable; urgency=low

  * New upstream version; many bugfixes.  (closes: Bug#114473)

 -- Chad Miller <cmiller@debian.org>  Thu,  4 Oct 2001 19:54:46 +0000

sc (6.21-12) unstable; urgency=low

  * Installed 'tutorial.sc' in doc directory.  (closes: Bug:85546)

 -- Chad Miller <cmiller@debian.org>  Sat, 17 Mar 2001 15:03:21 -0500

sc (6.21-11) unstable; urgency=low

  * Maintainer change. (closes: Bug#68149)
  * Put manpages under /usr/share/man, as recent policy says.
  * Added to CFLAGS, to prevent ``still changing'' bug on some architectures.
    (closes: Bug#50986)

 -- Chad Miller <cmiller@debian.org>  Mon,  8 Jan 2001 15:20:02 -0500

sc (6.21-10) unstable; urgency=low

  * Added support for cursor keys, thanks to D. J. Raymond
    <raymond@kestrel.nmt.edu>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  2 Jan 2000 17:35:34 +0100

sc (6.21-9) unstable; urgency=low

  * Corrected manpage creation (closes: Bug#48133)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 29 Oct 1999 00:32:30 +0200

sc (6.21-8) frozen unstable; urgency=low

  * Removed external declaration for strcpy() and strcat() from format.c
    and included <string.h> instead. (closes: Bug#29540)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 17 Nov 1998 11:19:50 +0100

sc (6.21-7) unstable; urgency=low

  * Re-compiled against ncurses4

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 30 Oct 1998 11:14:48 +0100

sc (6.21-6) unstable; urgency=low

  * Applied y2k patch from L J Bayuk <lbayuk@mindspring.com>.  Thanks to
    Ray for forwarding.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 23 Oct 1998 19:21:05 +0200

sc (6.21-5) unstable; urgency=low

  * Undebhelpering it
  * Recompiled against ncurses3.4 to make it work with that lib (closes:
    Bug#25513, Bug#23241)
  * This works together with the current ncurses package

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  6 Sep 1998 22:22:47 +0000

sc (6.21-4) unstable; urgency=high

  * Recompiled against ncurses3.4 to make it work with that lib (closes:
    Bug#22616)
  * Added Conflicts: ncurses3.4 (<<1.9.9g-8.2)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 19 May 1998 10:30:44 +0200

sc (6.21-3) frozen unstable; urgency=low

  * Corrected sc.1 manpage (closes: Bug#20915)
  * Removed dh_du
  * Added scqref.1 undocumented manpage link

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 11 Apr 1998 04:45:23 +0200

sc (6.21-2) unstable; urgency=low

  * Removed dependency to regex (closes: Bug#20079)
  * Little code clean ups in pvmtbl.c

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 23 Mar 1998 01:56:31 +0100

sc (6.21-1) unstable; urgency=low

  * First release
  * Removed references to initkbd(), resetkbd() and kbd_again()
  * Changed nmgetch() to getch()

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 12 Mar 1998 02:58:48 +0100
