## sc 7.16-1.1.2

=== debian/changelog ===
sc (7.16-1.1.2-1) unstable; urgency=medium

  * Team upload of Debian team.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
    Closes: #945266
  * d/control: Add homepage
  * Add watch file
  * Build-Depends: s/libncurses5-dev/libncurses5-dev/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Helmut Grohne ]
  * Fix FTCBFS: Stop forcing the build architecture compiler.
    Closes: #1008912

 -- Andreas Tille <tille@debian.org>  Thu, 21 Nov 2024 16:57:39 +0100

sc (7.16-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS for GCC-14 (Closes: #1075489)
    - Add debian/patches/fix-ftbfs-gcc14.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 11 Aug 2024 13:45:53 +0800

sc (7.16-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by -Werror=implicit-function-declaration (Closes: #1066346)
    - Add debian/patches/fix-ftbfs-implicit-function-declaration.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Apr 2024 09:47:51 +0800

sc (7.16-4.1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Non-maintainer upload.
  * Change debhelper compat version from 5 to 11. (Closes: #999240)
    - Update debian/rules.
      + This also fixes FTCBFS (Closes: #884727)
    - Clean files by debian/clean
  * Add debian/patches/hardening: hardening format strings.
  * Merge patches from Ubuntu. (Closes: #815936)
  * Add autopkgtest

  [ Serge Hallyn <serge.hallyn@ubuntu.com> ]
  * lex.c: do not set notimeout (LP: #1549665)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 26 Jan 2022 01:22:23 +0800
