=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: sc
 Section: math
 Priority: optional
-Build-Depends: libncurses5-dev, bison, debhelper (>>7)
+Build-Depends: libncurses-dev, bison, debhelper-compat (= 13)
 Maintainer: Adam Majer <adamm@zombino.com>
-Standards-Version: 3.9.5
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sc.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/sc.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/sc
+Vcs-Git: https://salsa.debian.org/debian/sc.git
+Homepage: https://github.com/n-t-roff/sc
+Rules-Requires-Root: no
 
 Package: sc
 Architecture: any
