=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# This is not an automake created configure
	./configure

override_dh_auto_build:
	dh_auto_build -- all sc.1 psc.1 CFLAGS="-Wall -DSYSV3 -ffloat-store $(CFLAGS)"

override_dh_auto_install:
	# dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	find . -name '*~' -exec rm {} \;
