=== debian/watch ===
version=4

opts="uversionmangle=s/_/-/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/n-t-roff/sc/tags (?:.*?/)?v?(\d[\d._]*)\.tar\.gz
