## sc 7.16-1.1.3

=== debian/changelog ===
sc (7.16-1.1.3-1) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fixes for FTBFS with GCC 15. (Closes: #1097847)

  [ Andreas Tille ]
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 06:41:24 +0100
