=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: sc
+Standards-Version: 4.7.2
+Maintainer: Adam Majer <adamm@zombino.com>
 Section: math
 Priority: optional
-Build-Depends: libncurses-dev, bison, debhelper-compat (= 13)
-Maintainer: Adam Majer <adamm@zombino.com>
-Standards-Version: 4.7.0
+Build-Depends:
+ libncurses-dev,
+ bison,
+ debhelper-compat (= 13),
 Vcs-Browser: https://salsa.debian.org/debian/sc
 Vcs-Git: https://salsa.debian.org/debian/sc.git
 Homepage: https://github.com/n-t-roff/sc
@@ -11,7 +14,9 @@
 
 Package: sc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Text-based spreadsheet with VI-like keybindings
  "Spreadsheet Calculator" is a much modified version of the public-
  domain spread sheet sc, which was posted to Usenet several years ago
