=== debian/tests/control ===
Tests: test-psc
Depends: @
