=== debian/watch ===
Version: 5

Source: https://github.com/n-t-roff/sc/tags
Matching-Pattern: (?:.*?/)?(\d[_\d.]+)@ARCHIVE_EXT@
Uversion-Mangle: s/_/-/
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
