## sc 200

=== Makefile ===
#
# $Id: Makefile,v 1.1 1996/01/12 07:59:26 bjorn Exp $
#
CFLAGS = -DDEBUG -Wall -g
O = o
YFLAGS = -d

OBJS = scottcom.$(O) code.$(O) init.$(O) \
       dict.$(O) item.$(O) room.$(O) message.$(O) \
       output.$(O) symbol.$(O) ti99.$(O) parser.$(O) font.$(O)

scottcom: $(OBJS)
	$(CC) -o scottcom $(OBJS)

parser.c: parser.y
	yacc $(YFLAGS) parser.y
	mv y.tab.h parser.h
	mv y.tab.c parser.c
	
parser.h init.$(O) dict.$(O): parser.$(O)

init.$(O): parser.h
